> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cart extra information

> Returns extra information for all items in the specified cart



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/cart/{cartUUID}/extra-info
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/cart/{cartUUID}/extra-info:
    get:
      tags:
        - Cart
      summary: Get cart extra information
      description: Returns extra information for all items in the specified cart
      operationId: API-Pub-Cart-GetExtraInfo
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: cartUUID
          in: path
          description: Cart UUID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Cart items extra information collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/API.Pub.Resources.Cart.CartLineInfoResource
              example:
                data:
                  - cart_line_uuid: string
                    extra: {}
                    product_type: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Cart not found
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.Cart.CartLineInfoResource:
      title: Cart Line Info Resource
      type: object
      properties:
        cart_line_uuid:
          type: string
          description: Cart line UUID
          format: uuid
        extra:
          type: object
          description: Extra information object
        product_type:
          type: string
          description: Product type
          nullable: true
      description: Cart line extra information
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````